Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

CreateSNSDingTalkEndpoint

CreateSNSDingTalkEndpoint

POST/zstack/v1/sns/application-endpoints/ding-talk

Operation ID

CreateSNSDingTalkEndpoint

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • url
      StringRequired

      The URL of the DingTalk robot.

    • atAll
      Boolean

      Optional. Whether to notify all (@All) members in a DingTalk group.

    • atPersonPhoneNumbers
      List

      Optional. The phone number of the group member to be notified (the @member).

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • resourceUuid
      String

      Optional.

    • platformUuid
      String

      Optional. The notification platform.

    • tagUuids
      List

      Optional. The tag uuid list.

    • secret
      String

      Optional. The DingTalk secret key.

    • atPersonList
      Map

      Optional. The @person information. (Recommend)

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SNSDingTalkEndpointInventoryRequired

    See inventory

    • url
      StringRequired

      The URL of the DingTalk robot.

    • atAll
      booleanRequired

      Whether to notify all (@All) members in a DingTalk group.

    • secret
      StringRequired

      The DingTalk secret key.

    • atPersonPhoneNumbers
      ListRequired

      The phone number of the group member to be notified (the @member).

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The endpoint type.

    • state
      StringRequired

      The application platform.

    • platformUuid
      StringRequired

      The application platform UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • platform
      SNSApplicationPlatformInventoryRequired

      See platform.

  • uuid
    StringRequired

    The resource uuid.

  • name
    StringRequired

    The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • type
    StringRequired

    The resource type.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.